Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.pc.comm
Class NXTInfo

    java.lang.Object
      lejos.pc.comm.NXTInfo

    public class NXTInfo

extends java.lang.Object

Structure containing information about a specific NXT and the potential connections to it. Returned from the NXTComm search method.

Field Summary
`java.lang.String` | `btDeviceAddress` The Bluetooth address.
`java.lang.String` | `btResourceString` A string used to locate the NXT.
`java.lang.String` | `name` Friendly name of the NXT.
`long` | `nxtPtr` A pointer to the NXT.
`int` | `protocol` The protocol used to conect to the NXT: USB or BLUETOOTH.

Constructor Summary
`NXTInfo()`
`NXTInfo(java.lang.String name, java.lang.String address)` Create a NXTInfo that is used to connect to a NXT via Bluetooth using the Bluetooth address.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Friendly name of the NXT.

### btDeviceAddress

    public java.lang.String btDeviceAddress

  The Bluetooth address.

### btResourceString

    public java.lang.String btResourceString

  A string used to locate the NXT. Dependent on the version of NXTComm used.

### nxtPtr

    public long nxtPtr

  A pointer to the NXT. Dependent on the version of NXTComm used.

### protocol

    public int protocol

  The protocol used to conect to the NXT: USB or BLUETOOTH.

Constructor Detail

### NXTInfo

    public NXTInfo()

### NXTInfo

    public NXTInfo(java.lang.String name,
                   java.lang.String address)

  Create a NXTInfo that is used to connect to a NXT via Bluetooth using the Bluetooth address.

  Parameters:
    `name` - the name of the NXT
    `address` - the Bluetooth address with optional colons between hex pairs.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD